import Link from "next/link"
import {DateTime} from 'luxon'
import React from "react"

import useIsAdminPage from '~/hooks/useIsAdminPage'
import styles from './style.module.css'

const Footer = () => {
  const isAdminPage = useIsAdminPage()

  if(isAdminPage)
    return null

  return (
    <footer className={styles.container}>
      <div>
        <h1 className={styles.title}>
          <Link href="/"><a>Society <span>of</span> Socks</a></Link>
        </h1>
        <div className={styles.footerInfo}>
          <p>© 2015 - {DateTime.utc().year} Society of Socks</p>
        </div>
        <ul className={styles.footerNav}>
          <li><a href="http://eepurl.com/clkzNP" target="_blank">Mailing List</a></li>
          <li><Link href="/contact"><a>Contact Us</a></Link></li>
          <li><Link href="/privacy"><a>Privacy</a></Link></li>
        </ul>
      </div>
    </footer>
  )
}

Footer.propTypes = {
}

Footer.defaultProps = {
}

export default Footer
