import styles from './table.module.css'

export default function Table({columns, rows, foot}) {
  return (
    <table className={styles.table}>
      <thead>
        <tr>
          {columns?.map(column=>
            <th key={column.name}>{column.name}</th>
          )}
        </tr>
      </thead>
      {rows && rows.length > 0 && <tbody>
        {rows.map(row=>
          <tr key={row.id || row.uuid} className={row.class}>
            {columns.map(column=>
              <td key={column.name}>{column.extractor(row)}</td>
            )}
          </tr>
        )}
      </tbody>}
      {foot && <tfoot>
        <tr>
          {foot.map((item, i) =>
            <th key={i}>
              {item}
            </th>
          )}
        </tr>
      </tfoot>}
    </table>
  )
}
