module.exports = [
  {
    mapId: 'userMap',
    idProperty: 'uuid',
    properties: [
      'email',
      'password_hash',
      'email_confirmed',
      'time_registered',
      'time_email_confirmed',
      'time_password_changed',
      'last_active',
      'last_cart',
      'num_orders',
      'is_admin'
    ]
  },{
    mapId: 'populatedUserMap',
    idProperty: 'uuid',
    properties: [
      'email',
      'password',
      'email_confirmed',
      'time_registered',
      'time_email_confirmed',
      'time_password_changed',
      'is_admin'
    ],
    collections: [
      {name: 'sessions', mapId: 'sessionMap', columnPrefix: 'session_'}
    ]
  },{
    mapId: 'emailLinkMap',
    idProperty: 'uuid',
    properties: [
      'type',
      'time_created',
      'timeout_length',
      'login_hash',
      'time_used',
      'user_uuid'
    ]
  },{
    mapId: 'sessionMap',
    idProperty: 'uuid',
    properties: [
      'time_created',
      'time_last_active',
      'timeout_length',
      'ip_address',
      'user_agent',
      'referer'
    ],
    associations: [
      {name: 'user', mapId: 'userMap', columnPrefix: 'session_user_'},
      {name: 'cart', mapId: 'cartMap', columnPrefix: 'cart_'}
    ]
  },{
    mapId: 'cartMap',
    idProperty: 'uuid',
    properties: [],
    collections: [
      {name: 'items', mapId: 'cartItemMap', columnPrefix: 'cart_item_'}
    ]
  },{
    mapId: 'cartItemMap',
    idProperty: 'uuid',
    properties: [
      'count'
    ],
    associations: [
      {name: 'item', mapId: 'itemMap', columnPrefix: 'item_'}
    ]
  }
]
