import Head from 'next/head'
import useIsClientSide from '~/hooks/useIsClientSide'

export default function Contact() {
  const clientSide = useIsClientSide();

  return (
    <>
      <Head>
        <title>Contact Us | Society of Socks</title>
      </Head>
      <h2>Contact Us</h2>
      <h3>Having any problems?</h3>
      <p>We love hearing from our customers (or potential customers), so feel free to reach out to us.</p>
      <p>You can send us an email at <strong>{clientSide ? 'admin@societyofsocks.us' : 'admin at society of socks dot us'}</strong> and we try to answer that relatively quickly.  Please be patient during holidays, as we sometimes get stolen away by parents and other family members.</p>
    </>
  )
}