import Head from 'next/head'
import Link from 'next/link'
import useIsClientSide from '~/hooks/useIsClientSide'

export default function Contact() {
  return (
    <>
      <Head>
        <title>Privacy Policy | Society of Socks</title>
      </Head>

      <h2>Privacy Policy</h2>
      <p>Since websites like this keep track of a lot of information, we've written this nice document to help you know what information we keep and what we don't.</p>
      <h3>What information do we have?</h3>
      <h4>Your Email Address</h4>
      <p>If you sign up for an account on our website we require an email address. We do not give or sell your email address to any advertisers, nor will we give or sell it to any third party except as detailed in this document.</p>
      <p>If you do not have an account, we require an email address at checkout in order to know where to send a payment receipt.  You can read more about that in the last paragraph of the next section.</p>
      <h4>Your Payment Information</h4>
      <p>We <strong>do not</strong> keep your credit card information.  It never even reaches our server.  We make use of <a href="https://stripe.com/">Stripe</a> to process transactions, which means that they are responsible for keeping that information safe, and they have a lot more time and resources available to make sure it's done right.</p>
      <p>If you'd like to know more about your information privacy on Stripe, you can read their <a href="https://stripe.com/us/privacy#checkout-users"> privacy policy</a> - the part that directly concerns you as a customer is the section on &ldquo;Checkout Users&rdquo;.</p>
      <p>Stripe requests your email address during checkout so that they can send you a receipt of your purchase.  (If you are signed in to an account on our website we will auto-fill that form for you, using the email address we have on record for your account.)  Stripe does not sell or share this information with any other services.</p>
      <h4>Your Shipping Address</h4>
      <p>We store your shipping address as part of completing your order.  If you create an account, then we additionally store your shipping address(es) for you to select from when placing later orders.</p>
      <p>Additionally, we use a service called <a href="https://easypost.com/">EasyPost</a> to manage shipments and purchase postage.  As part of that process your address is sent to their servers, as well as being sent to the United States Postal Service.</p>
      <p>EasyPost does not sell or transfer your address information to any third parties outside of the inherent need to share that information with the postal service as part of carrying out the process of purchasing shipment.</p>
      <p>We also do not sell or transfer your address information to any third parties outside of the extent that is required to carry out shipping your order to you.</p>
      <h3>Cookies and other session-tracking technologies</h3>
      <p>In order to keep you logged in and provide a smooth user experience our website does make use of cookies and other session-tracking technologies.</p>
      <p>These do not collect or contain any personal data, and at any time you may choose to remove these from your browser via your browser's settings menu.  Be aware that if you do so you may not be able to take full advantage of our website (or remain logged in).</p>
      <h4>Analytics</h4>
      <p>We make use of the analytics library <a href="https://umami.is/docs/about">umami</a> to count page traffic on this site.  Umami does not collect personally identifiable information or set cookies in your browser.</p>
      <h3>GDPR Rights and other Information Requests</h3>
      <p>If you'd like to receive a copy of the information we have or you'd like us to remove your account, order history, or any other information we have about you, please <Link href="/contact"><a>contact us</a></Link>.  We don't have an automated process for completing these requests, but would be happy to oblige.</p>
    </>
  )
}